NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::GeodesicChamferBuilder Class Reference

Represents a NXOpen::Features::GeodesicChamfer builder for GeodesicChamfer command. More...

Inheritance diagram for NXOpen::Features::GeodesicChamferBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::ExpressionDistance ()
 Returns the distance
Created in NX10.0.0. More...
 
NXOpen::CurveFirstCurve ()
 Returns the first selected curve in the section
Created in NX10.0.0. More...
 
double FirstPoint ()
 Returns the first selection point
Created in NX10.0.0. More...
 
NXOpen::SectionFirstSection ()
 Returns the first section of curves to chamfer
Created in NX10.0.0. More...
 
NXOpen::CurveSecondCurve ()
 Returns the second selected curve in the section
Created in NX10.0.0. More...
 
double SecondPoint ()
 Returns the second selection point
Created in NX10.0.0. More...
 
NXOpen::SectionSecondSection ()
 Returns the second section of curves to chamfer
Created in NX10.0.0. More...
 
void SetFirstCurve (NXOpen::Curve *firstCurve)
 Sets the first selected curve in the section
Created in NX10.0.0. More...
 
void SetFirstPoint (double firstPoint)
 Sets the first selection point
Created in NX10.0.0. More...
 
void SetFirstSection (NXOpen::Section *firstSection)
 Sets the first section of curves to chamfer
Created in NX10.0.0. More...
 
void SetSecondCurve (NXOpen::Curve *secondCurve)
 Sets the second selected curve in the section
Created in NX10.0.0. More...
 
void SetSecondPoint (double secondPoint)
 Sets the second selection point
Created in NX10.0.0. More...
 
void SetSecondSection (NXOpen::Section *secondSection)
 Sets the second section of curves to chamfer
Created in NX10.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::GeodesicChamfer builder for GeodesicChamfer command.


To create a new instance of this class, use NXOpen::Features::GeodesicSketchCollection::CreateGeodesicChamferBuilder
Default values.

Property Value

Distance.Value

10 (millimeters part), 0.5 (inches part)


Created in NX10.0.0.

Member Function Documentation

NXOpen::Expression* NXOpen::Features::GeodesicChamferBuilder::Distance ( )

Returns the distance
Created in NX10.0.0.



License requirements : None

NXOpen::Curve* NXOpen::Features::GeodesicChamferBuilder::FirstCurve ( )

Returns the first selected curve in the section
Created in NX10.0.0.



License requirements : None

double NXOpen::Features::GeodesicChamferBuilder::FirstPoint ( )

Returns the first selection point
Created in NX10.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::GeodesicChamferBuilder::FirstSection ( )

Returns the first section of curves to chamfer
Created in NX10.0.0.



License requirements : None

NXOpen::Curve* NXOpen::Features::GeodesicChamferBuilder::SecondCurve ( )

Returns the second selected curve in the section
Created in NX10.0.0.



License requirements : None

double NXOpen::Features::GeodesicChamferBuilder::SecondPoint ( )

Returns the second selection point
Created in NX10.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::GeodesicChamferBuilder::SecondSection ( )

Returns the second section of curves to chamfer
Created in NX10.0.0.



License requirements : None

void NXOpen::Features::GeodesicChamferBuilder::SetFirstCurve ( NXOpen::Curve firstCurve)

Sets the first selected curve in the section
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
firstCurveNXOpen::Curve
void NXOpen::Features::GeodesicChamferBuilder::SetFirstPoint ( double  firstPoint)

Sets the first selection point
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
firstPointFirst Point
void NXOpen::Features::GeodesicChamferBuilder::SetFirstSection ( NXOpen::Section firstSection)

Sets the first section of curves to chamfer
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
firstSectionNXOpen::Section
void NXOpen::Features::GeodesicChamferBuilder::SetSecondCurve ( NXOpen::Curve secondCurve)

Sets the second selected curve in the section
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
secondCurveNXOpen::Curve
void NXOpen::Features::GeodesicChamferBuilder::SetSecondPoint ( double  secondPoint)

Sets the second selection point
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
secondPointSecond Point
void NXOpen::Features::GeodesicChamferBuilder::SetSecondSection ( NXOpen::Section secondSection)

Sets the second section of curves to chamfer
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
secondSectionNXOpen::Section

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.